# Interface TaskSuccessResult

All Superinterfaces:
  `OperationResult, SuccessResult, TaskOperationResult`

@Incubating public interface TaskSuccessResult extends TaskOperationResult, SuccessResult
Describes how a task operation finished successfully.

Since:
  2.5

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFromCache()`
Returns whether the output for this task was pulled from a build cache when using task output caching.
`boolean`
`isUpToDate()`
Returns whether this task was up-to-date.

### Methods inherited from interface OperationResult

`getEndTime, getStartTime`

## Method Details

### isUpToDate

boolean isUpToDate()
Returns whether this task was up-to-date.

Returns:
  `true` if this task was up-to-date

### isFromCache

boolean isFromCache()
Returns whether the output for this task was pulled from a build cache when using task output caching.

NOTE: This will always be false if the Gradle version does not support task output caching.

Returns:
  `true` if the output for this task was from a build cache
Since:
  3.3